Subject: bug#20368: closed (Re: bug#20368: 25.0.50; [debbugs] Search by 'submitter' doesn't work when the search phrase is present)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Aug 2016 07:52:02 +0000

Your bug report

#20368: 25.0.50; [debbugs] Search by 'submitter' doesn't work when the search phrase is present

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20368: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20368
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20368: 25.0.50; [debbugs] Search by 'submitter' doesn't work when the search phrase is present
From: Michael Albinus <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Aug 2016 09:51:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Albinus <[email-masked]> writes:

> Well, it took a while before I could work on this. Using debbugs 0.10,
> it is fixed:
>
> 1. M-x debbugs-gnu-search
>
> 2. Type 'url-retrieve-synchronously', press RET.
>
> 3. Type 'author', RET, [email-masked]', RET.
>
> --> This is the fix. "submitter" was the wrong attribute, it isn't
> offered anymore.
>
> 4. See bugs 24117, 20368, 20207, 19860, 19729, 12893.
>
> Could you, please, cross-check?

I'm marking the bug as closed. Fell free to reopen if it doesn't work
for you.

Best regards, Michael.

Subject: 25.0.50; [debbugs] Search by 'submitter' doesn't work when the search phrase is present
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Sun, 19 Apr 2015 01:16:38 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

In debbugs 0.7.

1. M-x debbugs-gnu-search

2. Type 'url-retrieve-synchronously', press RET.

3. Type 'submitter', RET, [email-masked]', RET.

4. See an empty result list.

If I input an empty string in step 2, or omit the 'submitter' parameter,
I see several bugs returned, in both cases including 19729 and 19860.